Skip to main content

Confirm file upload

POST
/ai/gateway/library/files/upload/confirm

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectRequest body: { approvalToken }
  • {}

Responses

8 responses

Status
Description
Type
200
Successful responseobject
400
Invalid request body or missing approvalTokenobject
401
API key is missing or invalidobject
403
Required library:write scope is missing or the token is invalid for this accountobject
404
Confirmation token not foundobject
409
Confirmation token is not pending, has already been used, or the idempotency key does not matchobject
410
Confirmation token expiredobject
500
Content changed after confirmation or the record could not be savedobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }